Subject: Re: [PATCH v14 13/15] selftests/powerpc: Add ptrace tests for TM SPR registers

From: Simon Guo <[email-masked]>
Date: Mon, 19 Sep 2016 10:33:38 +0800

On Wed, Sep 14, 2016 at 03:04:12PM +1000, Cyril Bur wrote:
> On Mon, 2016-09-12 at 15:33 +0800, [email-masked] wrote:
> > From: Anshuman Khandual <[email-masked]>
> > 
> > This patch adds ptrace interface test for TM SPR registers. This
> > also adds ptrace interface based helper functions related to TM
> > SPR registers access.
> > 
> 
> I'm seeing this one fail a lot, it does occasionally succeed but fails
> a lot on my test setup.
> 
> I use qemu on a power8 for most of my testing:
> qemu-system-ppc64 --enable-kvm -machine pseries,accel=kvm,usb=off -m
> 4096 -realtime mlock=off -smp 4,sockets=1,cores=2,threads=2 -nographic
> -vga none
Hi Cyril,

Sorry for the late response. I am just back from a vacation.
Strangely the case always succeed in my machine. I will try to 
reproduce it with your configuration.

> > +	if ((regs->tm_texasr != TM_SCHED) && (regs->tm_texasr !=
> > TM_KVM_SCHED))
> > +		return TEST_FAIL;
> 
> The above condition fails, should this test try again if this condition
> is true, rather than fail?
If you have the value of "regs->tm_texasr" in hand, please let
me know.

Thanks for the elaborated comment in other mails and I will 
work on that.

BR,
- Simon